Bug 1202231 - Review Request: jbehave - Behavior-Driven Development framework for Java and Groovy
Summary: Review Request: jbehave - Behavior-Driven Development framework for Java and ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On: 1203380
Blocks: FE-DEADREVIEW FE-JAVASIG
TreeView+ depends on / blocked
 
Reported: 2015-03-16 07:50 UTC by gil cattaneo
Modified: 2020-08-10 00:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:50:59 UTC
Type: ---


Attachments (Terms of Use)

Description gil cattaneo 2015-03-16 07:50:51 UTC
Spec URL: https://gil.fedorapeople.org/jbehave.spec
SRPM URL: https://gil.fedorapeople.org/jbehave-3.9.5-1.fc20.src.rpm
Description:
JBehave is a framework for Behavior-Driven Development (BDD).
BDD is an evolution of test-driven development (TDD) and
acceptance-test driven design, and is intended to make these
practices more accessible and intuitive to newcomers and
experts alike. It shifts the vocabulary from being test-based to
behavior-based, and positions itself as a design philosophy.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9239602

Comment 2 Upstream Release Monitoring 2015-12-14 10:40:39 UTC
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621

Comment 3 Raphael Groner 2016-05-14 19:25:04 UTC
Review swap with bug #1166916?

Comment 4 gil cattaneo 2016-05-14 20:17:28 UTC
(In reply to Raphael Groner from comment #3)
> Review swap with bug #1166916?

maybe next week, but for now I can not be sure. I have to fix the pc (problems with the CPU cooling). sorry

Comment 5 gil cattaneo 2016-05-14 20:28:22 UTC
if for you all well, I prefer that you should review in exchange bug#1328064

Comment 6 Raphael Groner 2016-06-07 20:17:24 UTC
Review swap with bug #1343733?

Sorry, not interested in wildfly.

Comment 7 gil cattaneo 2016-06-07 20:46:27 UTC
(In reply to Raphael Groner from comment #6)
> Review swap with bug #1343733?
> Sorry, not interested in wildfly.

Non interested at the moment. I am working for update some packages
required by wildfly.

At the moment you can choose one of these:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1342749 (not ready)
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1260208
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1343025
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1343063
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1343161

Comment 8 Raphael Groner 2016-06-08 09:03:36 UTC
Too bad. Wildfly is currently not in my business, sorry.

Comment 9 Raphael Groner 2016-10-02 20:15:26 UTC
FTBFS

Start: build setup for jbehave-3.9.5-1.fc20.src.rpm
ERROR: Exception(/home/builder/fedora-review/1202231-jbehave/srpm/jbehave-3.9.5-1.fc20.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 30 seconds
INFO: Results and/or logs in: /home/builder/fedora-review/1202231-jbehave/results
ERROR: Command failed: 
 # /usr/bin/dnf builddep --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26 /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/jbehave-3.9.5-1.fc26.src.rpm --setopt=tsflags=nocontexts
Last metadata expiration check: 0:00:19 ago on Sun Oct  2 21:55:12 2016.
No matching package to install: 'mvn(com.sun.jersey:jersey-client)'
Not all dependencies satisfied
Error: Some packages could not be found.

Comment 10 gil cattaneo 2016-10-02 20:34:25 UTC
(In reply to Raphael Groner from comment #9)
> FTBFS
> 
> Start: build setup for jbehave-3.9.5-1.fc20.src.rpm
> ERROR:
> Exception(/home/builder/fedora-review/1202231-jbehave/srpm/jbehave-3.9.5-1.
> fc20.src.rpm) Config(fedora-rawhide-x86_64) 0 minutes 30 seconds
> INFO: Results and/or logs in:
> /home/builder/fedora-review/1202231-jbehave/results
> ERROR: Command failed: 
>  # /usr/bin/dnf builddep --installroot
> /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26
> /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/jbehave-3.9.5-
> 1.fc26.src.rpm --setopt=tsflags=nocontexts
> Last metadata expiration check: 0:00:19 ago on Sun Oct  2 21:55:12 2016.
> No matching package to install: 'mvn(com.sun.jersey:jersey-client)'
> Not all dependencies satisfied
> Error: Some packages could not be found.

Please stop, i dont care now.

Comment 11 Raphael Groner 2016-10-03 09:16:40 UTC
ok

Comment 12 Package Review 2020-07-10 00:51:31 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 13 Package Review 2020-08-10 00:50:59 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.